Include_sections(3)

Name
Include_sections

Synopsis

Module Include_sections

Documentation

module type Something = sig
val something : unit

1.1 Something 1

foo

val foo : unit

1.1.1 Something 2

val bar : unit
foo bar

1.2 Something 1-bis

Some text.
end
A module type.

Let's include Something once

2 Something 1

foo

2.1 Something 2

3 Something 1-bis

Some text.

4 Second include

Let's include Something a second time: the heading level should be shift here.

4.1 Something 1

foo

4.1.1 Something 2

4.2 Something 1-bis

Some text.

4.3 Third include

Shifted some more.

4.3.1 Something 1

foo

Something 2

4.3.2 Something 1-bis

Some text.

And let's include it again, but without inlining it this time: the ToC shouldn't grow.

val something : unit

4.3.3 Something 1

foo

val foo : unit

Something 2

val bar : unit
foo bar

4.3.4 Something 1-bis

Some text.